Bug 1794566 - grpc-1.37.1 is available
Summary: grpc-1.37.1 is available
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: grpc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1952139
Blocks: 1757147 1848773 1880100 1948426 1878498
TreeView+ depends on / blocked
 
Reported: 2020-01-23 20:15 UTC by Upstream Release Monitoring
Modified: 2021-04-30 14:48 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
The modified .spec file I used (5.62 KB, text/plain)
2020-09-24 14:14 UTC, Hedayat Vatankhah
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github grpc grpc issues 23432 0 None open Cannot build grpc_cli 2021-02-16 12:53:46 UTC

Internal Links: 1812743

Description Upstream Release Monitoring 2020-01-23 20:15:17 UTC
Latest upstream release: 1.27.0-pre1
Current version/release in rawhide: 1.26.0-1.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 1 Upstream Release Monitoring 2020-01-29 01:21:15 UTC
Latest upstream release: 1.27.0-pre2
Current version/release in rawhide: 1.26.0-1.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 2 Upstream Release Monitoring 2020-02-05 12:31:25 UTC
Latest upstream release: 1.27.0
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 3 Upstream Release Monitoring 2020-02-07 18:32:28 UTC
Latest upstream release: 1.27.1
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 4 Upstream Release Monitoring 2020-02-14 09:26:20 UTC
Latest upstream release: 1.27.2
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 5 Upstream Release Monitoring 2020-02-26 21:07:42 UTC
Latest upstream release: 1.27.3
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 6 Upstream Release Monitoring 2020-02-27 16:12:22 UTC
Latest upstream release: 1.28.0-pre1
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 7 Upstream Release Monitoring 2020-03-04 03:42:48 UTC
Latest upstream release: 1.28.0-pre2
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 8 Upstream Release Monitoring 2020-03-07 01:36:06 UTC
Latest upstream release: 1.28.0-pre3
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 9 Alfredo Moralejo 2020-03-11 18:27:30 UTC
While testing grpc in fedora, i've hit https://github.com/grpc/grpc/issues/21213 with 1.26.0 build, could it be updated to >= 1.27.0

Comment 10 Upstream Release Monitoring 2020-04-02 06:50:57 UTC
Latest upstream release: 1.28.0
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 11 Upstream Release Monitoring 2020-04-03 20:17:22 UTC
Latest upstream release: 1.28.1
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 12 Hedayat Vatankhah 2020-04-20 13:09:20 UTC
As noted above, GRPC in F32 is v1.26.0, which is unusable! Please either upgrade grpc in F32, or backport the fixes to its version. This is very severe, as it doesn't work at all.

Comment 13 Upstream Release Monitoring 2020-05-14 08:10:30 UTC
Latest upstream release: 1.29.0
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 14 Upstream Release Monitoring 2020-05-21 03:28:09 UTC
Latest upstream release: 1.29.1
Current version/release in rawhide: 1.26.0-2.fc32
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 15 Upstream Release Monitoring 2020-06-07 20:32:57 UTC
Latest upstream release: 1.30.0-pre1
Current version/release in rawhide: 1.26.0-3.fc33
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 16 Upstream Release Monitoring 2020-06-23 12:32:48 UTC
Latest upstream release: 1.30.0
Current version/release in rawhide: 1.26.0-3.fc33
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 17 Gwyn Ciesla 2020-07-01 16:06:29 UTC
I've tried to update grpc to all of the more recent versions. I get build failures due to abseil, unless I switch buildsystems to cmake, in which case it fails to build grpc_cli.  The preferred buildsystem is bazel, which isn't in Fedora, and which doesn't build at the moment. I've contacted upstream about that.

Comment 18 Upstream Release Monitoring 2020-07-09 07:41:18 UTC
Latest upstream release: 1.30.1
Current version/release in rawhide: 1.26.0-3.fc33
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 19 Upstream Release Monitoring 2020-07-18 11:33:15 UTC
Latest upstream release: 1.30.2
Current version/release in rawhide: 1.26.0-3.fc33
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 20 Upstream Release Monitoring 2020-07-23 18:43:21 UTC
Latest upstream release: 1.31.0-pre1
Current version/release in rawhide: 1.26.0-3.fc33
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 21 Gwyn Ciesla 2020-07-23 23:57:10 UTC
1.31.0-pre1 requires re2-devel, and does not fix the grpc_cli issue.

Comment 22 Upstream Release Monitoring 2020-07-29 18:47:10 UTC
Latest upstream release: 1.31.0-pre2
Current version/release in rawhide: 1.26.0-3.fc33
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 23 Gwyn Ciesla 2020-07-30 13:58:48 UTC
No change for pre2

Comment 24 Jürg Billeter 2020-08-03 08:27:01 UTC
(In reply to Gwyn Ciesla from comment #17)
> I've tried to update grpc to all of the more recent versions. I get build
> failures [...]

Thanks for looking into this. Until that's resolved, would it be possible to at least include the critical fix for https://bugzilla.redhat.com/show_bug.cgi?id=1812743 ? The server part of grpc is currently completely broken in Fedora 32. At the very least this issue should be fixed for Fedora 33.

The fix is in the upstream v1.26.x stable branch, upstream PR is https://github.com/grpc/grpc/pull/21669

Comment 25 Gwyn Ciesla 2020-08-03 14:13:32 UTC
Absolutely, I'll get this out ASAP.

Comment 26 Upstream Release Monitoring 2020-08-05 20:35:42 UTC
Latest upstream release: 1.31.0
Current version/release in rawhide: 1.26.0-3.fc33
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 27 Gwyn Ciesla 2020-08-05 21:44:29 UTC
Same grpc_cli issue for 1.31.0 final.

Comment 28 Upstream Release Monitoring 2020-08-17 19:58:39 UTC
Latest upstream release: 1.31.1
Current version/release in rawhide: 1.26.0-3.fc33
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 29 Gwyn Ciesla 2020-08-17 20:38:23 UTC
Same grpc_cli issue for 1.31.1 final.

Comment 30 Upstream Release Monitoring 2020-09-01 05:26:24 UTC
Latest upstream release: 1.32.0-pre1
Current version/release in rawhide: 1.26.0-6.fc33
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 31 Gwyn Ciesla 2020-09-01 20:32:06 UTC
Same grpc_cli issue for 1.32.0 pre1.

Comment 32 Upstream Release Monitoring 2020-09-09 16:37:50 UTC
Latest upstream release: 1.32.0
Current version/release in rawhide: 1.26.0-6.fc33
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 33 Gwyn Ciesla 2020-09-09 18:45:57 UTC
Same grpc_cli issue for 1.32.0 final.

Comment 34 Gary Buhrmaster 2020-09-14 04:00:06 UTC
(In reply to Gwyn Ciesla from comment #33)
> Same grpc_cli issue for 1.32.0 final.

I believe grpc_cli is not being built because with later versions of grpc one now needs to include a -DgRPC_BUILD_TESTS=ON to the cmake invokation (the missed documentation is mentioned in 0a023f64d0d34165d5bd0ca3d60c265772e05beb as a clarification from 132fd42a70c55dcde3412547aa9db37938fffec4 ).  However, including that definition results in other dependencies (that for builds from the repo are satisfied via the 'git submodule update --init' as described in the docs).

Comment 35 Gwyn Ciesla 2020-09-14 16:26:43 UTC
Interesting, thank you.

I've added that to my cmake invocation, but I can't see a way to tell cmake to look at a package for googletest. We have the source in llvm-googletest, and we can't run a git submodule update in an rpm build. Any suggestions?

Comment 36 Kalev Lember 2020-09-16 05:50:42 UTC
I know nothing about the package in question, but just a drive by remark:

If git submodules are involved, then the usual course of action is to ask upstream to upload a release tarball that contains all submodule contents. Tarballs that github automatically generates don't include submodule contents.

If upstream doesn't want to do that for some reason (or if it's urgent) then you could prep the tarball yourself: clone the sources, update submodules, and tar it all together and ship that in the rpm. In that case just put the instructions for regenerating the tarball in the spec file.

Comment 37 Hedayat Vatankhah 2020-09-21 09:20:56 UTC
I've not looked at the problem yet. But just wanted to mention that I successfully built grpc 1.28.1 on Fedora 32 using fedora grpc spec files. So at least updating to this version should be possible. I've not yet tried later versions.

Comment 38 Gwyn Ciesla 2020-09-21 20:11:56 UTC
I can't get it to build on rawhide, can you post a spec that works for you?

Comment 39 Hedayat Vatankhah 2020-09-24 14:14:12 UTC
Created attachment 1716344 [details]
The modified .spec file I used

A working spec file for 1.28.1

Comment 40 Hedayat Vatankhah 2020-09-24 14:16:39 UTC
I just noted something, which is probably not important: I've checked out the 1.28.1 branch of grpc git repository and created an archive from it myself. I've not downloaded grpc released archive.

Comment 41 Hedayat Vatankhah 2020-09-24 14:22:46 UTC
Oh I now see the discussions about submodules. I see now that I've downloaded all submodules too. Which is why I've no problems. Anyway, if any submodules are already in Fedora, you should probably try to use that. If not, using a bundled one might work for now, but probably they need to be packaged too...

Comment 42 Gwyn Ciesla 2020-09-24 14:31:50 UTC
Yes, that would work, because that includes the updated git submodules. We can't update submodules in the rpm build process.

Comment 43 Hedayat Vatankhah 2020-09-25 06:54:04 UTC
I wonder if building an archive from git is permitted, including the submodules not exist in the Fedora repos.

Comment 44 Gary Buhrmaster 2020-10-03 04:08:11 UTC
(In reply to Hedayat Vatankhah from comment #43)
> I wonder if building an archive from git is permitted, including the
> submodules not exist in the Fedora repos.

Kalev Lember in comment #36 states that that is the usual approach if upstream does not want to create a full release tarball.

Comment 45 Upstream Release Monitoring 2020-10-09 03:17:53 UTC
Latest upstream release: 1.33.0-pre1
Current version/release in rawhide: 1.26.0-7.fc34
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 46 Upstream Release Monitoring 2020-10-15 03:00:11 UTC
Latest upstream release: 1.33.0-pre2
Current version/release in rawhide: 1.26.0-7.fc34
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 47 Upstream Release Monitoring 2020-10-20 13:16:10 UTC
Latest upstream release: 1.33.0
Current version/release in rawhide: 1.26.0-7.fc34
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 48 Upstream Release Monitoring 2020-10-21 06:18:18 UTC
Latest upstream release: 1.33.1
Current version/release in rawhide: 1.26.0-7.fc34
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 49 Upstream Release Monitoring 2020-10-28 08:37:54 UTC
Latest upstream release: 1.33.2
Current version/release in rawhide: 1.26.0-7.fc34
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 50 dan.cermak 2020-11-05 19:00:36 UTC
Can you please update grpc? If not, please say so, the old version does not work with the new release of bear that I would like to push to Rawhide before f34 branching.

Comment 51 Seppo Yli-Olli 2020-11-05 19:14:55 UTC
Note for updating to latest releases (since last Summer or so) https://github.com/grpc/grpc/issues/24498 may become a problem to Fedora use case. It's quite trivial to patch boringssl asm not to be built when system tls is chosen but obviously upstreamed fix would be great if anyone has signed the CLA.

Comment 52 Gwyn Ciesla 2020-11-06 14:11:41 UTC
There's also the grpc_cli build issue that I've been going back and forth on with upstream.

Comment 53 Upstream Release Monitoring 2020-11-20 01:04:51 UTC
Latest upstream release: 1.34.0-pre1
Current version/release in rawhide: 1.26.0-7.fc34
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 54 Upstream Release Monitoring 2020-12-03 00:21:45 UTC
Latest upstream release: 1.34.0
Current version/release in rawhide: 1.26.0-8.fc34
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 55 Fedora Admin user for bugzilla script actions 2021-01-05 02:51:57 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 56 Upstream Release Monitoring 2021-01-07 23:35:02 UTC
Latest upstream release: 1.35.0-pre1
Current version/release in rawhide: 1.26.0-8.fc34
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 57 Upstream Release Monitoring 2021-01-21 02:00:41 UTC
Latest upstream release: 1.35.0
Current version/release in rawhide: 1.26.0-9.fc34
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 58 Ben Beasley 2021-02-01 15:56:03 UTC
I have taken over maintainership of grpc in Fedora after it was orphaned. The package needs a lot of work, which will take some time to complete. Upstream

Comment 59 Ben Beasley 2021-02-01 15:59:25 UTC
Sorry, partial comment posted by accident. Upstream is not very maintainer-friendly in terms of build systems and repository organization. Still, I think I can get things straightened out given some time—no promises!

Comment 60 Upstream Release Monitoring 2021-02-17 02:46:32 UTC
Latest upstream release: 1.36.0-pre1
Current version/release in rawhide: 1.26.0-12.fc35
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 61 Upstream Release Monitoring 2021-02-24 10:20:39 UTC
Latest upstream release: 1.36.0
Current version/release in rawhide: 1.26.0-12.fc35
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 62 Ben Beasley 2021-03-02 18:34:28 UTC
I’m still making progress on this. It’s slow going, as I’m only able to work on it occasionally, and a local build takes well over a half hour, so iteration is not efficient.

I am relatively close to having a usable grpc-1.36.0 with complete core libraries, C++ bindings, and Python bindings. Some of the issues I have fixed may be able to be backported to the versions in older Fedoras.

It may be too late in the release cycle for Fedora 34 to get a version bump, however.

Comment 63 Upstream Release Monitoring 2021-03-04 05:44:56 UTC
Latest upstream release: 1.36.1
Current version/release in rawhide: 1.26.0-12.fc35
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 64 Upstream Release Monitoring 2021-03-06 10:45:45 UTC
Latest upstream release: 1.36.2
Current version/release in rawhide: 1.26.0-12.fc35
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 65 Upstream Release Monitoring 2021-03-15 22:59:55 UTC
Latest upstream release: 1.36.3
Current version/release in rawhide: 1.26.0-12.fc35
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 66 Upstream Release Monitoring 2021-03-19 08:43:48 UTC
Latest upstream release: 1.36.4
Current version/release in rawhide: 1.26.0-12.fc35
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 67 Upstream Release Monitoring 2021-03-31 16:31:46 UTC
Latest upstream release: 1.37.0-pre1
Current version/release in rawhide: 1.26.0-14.fc35
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 68 Upstream Release Monitoring 2021-04-08 11:58:43 UTC
Latest upstream release: 1.37.0
Current version/release in rawhide: 1.26.0-15.fc35
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/

Comment 69 Seppo Yli-Olli 2021-04-13 18:53:16 UTC
Would it be possible to just automate the process of creating a source package which contains abseil-cpp and re2 bundled out of git? While I understand it might feel desirable to use system packages, for these things it might be saner to punt them into backlog. As commented above, updating grpcio is now a Python 3.10 blocker.

Comment 70 Ben Beasley 2021-04-14 01:30:43 UTC
Neither abseil-cpp nor re2 is really a problem. In fact (unlike a few other dependencies for which unbundling requires a patch) these have upstream CMake options to use system libraries.

Instead, the delay has been due to going through the packaging with a fine-toothed comb. Not only have I fixed some bundling, but I have started running a lot of the tests, added auxiliary Python packages, and even fixed an omitted build step that had meant the grpcio Python package was never really usable. I’ve also migrated the build from the Makefiles, which aren’t really supported upstream, to CMake.

Right now I am figuring out what tests need to be skipped, and (where possible) why, so that I can have some confidence the package is basically OK. This is not fast since a local mockbuild takes a couple hours.

You may monitor the progress on 1.37.0 at https://src.fedoraproject.org/fork/music/rpms/grpc/tree/rawhide and, soon, https://copr.fedorainfracloud.org/coprs/music/grpc-1.37/.

Once I have a minimum viable package in the COPR I will start investigating whether dependent packages can be trivially rebuilt. After that will come a side tag and a call for testing on the fedora-devel list.

I don’t think keeping ahead of the Python 3.10 timeline will be a big problem.

Comment 71 Ben Beasley 2021-04-21 15:22:50 UTC
Adding RHBZ#1952139 in dependent package perl-grpc-xs as a blocker; I am hoping a resolution can be found before I have to merge this update into F35.

Comment 72 Ben Beasley 2021-04-21 15:24:33 UTC
Currently, grpc 1.37.0 is building successfully in the COPR (and in Koji scratch builds), and I am working through getting all of the dependent packages to build.

Comment 73 Ben Beasley 2021-04-22 02:15:36 UTC
All dependent packages build except perl-grpc-xs (RHBZ#1952139). This requires maintainer and/or upstream input, and I am allowing a few weeks for that to be resolved before starting a side tag.

Comment 74 Upstream Release Monitoring 2021-04-30 14:48:01 UTC
Latest upstream release: 1.37.1
Current version/release in rawhide: 1.26.0-15.fc35
URL: https://grpc.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19117/


Note You need to log in before you can comment on or make changes to this bug.